import React from 'react';
export interface ISchemaObj {
    baseType: string;
    props?: (React.HTMLAttributes<any> & React.ClassAttributes<any>) | null;
    children?: React.ReactNode[] | ISchemaObj;
    key?: React.Key;
}
export interface ISchemaArr {
    [index: number]: ISchemaObj;
}
export interface IUiLibObj {
    [propName: string]: React.Component | React.FunctionComponent;
}
export interface ISchemaToReactElementOptions {
    createElement?: Function;
    uiLib?: IUiLibObj;
}
export declare function s2r(UiLib: IUiLibObj, createElement: Function, schema?: ISchemaObj | string | number): React.DetailedReactHTMLElement<any, HTMLElement> | number | string | null;
declare class SchemaToReactElement {
    createElement: Function;
    uiLib: IUiLibObj;
    constructor({ createElement, uiLib }?: ISchemaToReactElementOptions);
    schemaToReactElement(schema: ISchemaArr | ISchemaObj, toArray?: boolean): any;
}
export default SchemaToReactElement;
//# sourceMappingURL=index.d.ts.map